Get all job planning

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

job_planning
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key to jobs id.

globally unique identifier
user_id

Foreign key to user id.

globally unique identifier
date_from

Job planning date from

date
date_to

Job planning date to

date
sys_logical_delete

Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "9d2d59ec-bf90-4d88-ad22-210ec869ccca",
  "jobs_id": "1738ddee-5e3c-45da-9274-2a2312e8546c",
  "user_id": "cb51e54d-e2fa-4f07-b6bd-acbd058c22db",
  "date_from": "2026-10-12T04:42:39.7369474+00:00",
  "date_to": "2026-10-12T04:42:39.7369474+00:00",
  "sys_logical_delete": true,
  "modified_dateutc": "2026-10-12T04:42:39.7568917+00:00"
}